<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Inscription</title>
    <link rel="stylesheet" href="{{url_for('static',filename='bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,600">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto+Slab:300,400|Roboto:300,400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto+Slab:300,400|Roboto:300,400,700">
    <link rel="stylesheet" href="{{url_for('static',filename='fonts/font-awesome.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/register.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/registerForm.css')}}">
</head>

<body>
    <div class="container profile profile-view" id="profile">
        <div class="row">
            <div class="col-md-12 alert-col relative">
                <div class="alert alert-info absolue center" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                    <span>Profile save with success</span>
                </div>
            </div>
        </div>
        <form method="POST" action="{{url_for('auth.register_post')}}">
            {% with messages = get_flashed_messages() %}
            {% if messages %}
            <div class="notification is-danger" style="margin: 1em auto;">
                <p style="color:red;text-align: center;">{{ messages[0] }}</p>
            </div>
            {% endif %}
            {% endwith %}
            <div class="form-row profile-row">
                <div class="col-md-8">
                    <h1>Création du compte</h1>
                    <hr>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Pseudonyme</label>
                                <input class="form-control" type="text" name="pseudo" required>
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Prénom</label>
                                <input class="form-control" type="text" name="firstname" required>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Nom</label>
                                <input class="form-control" type="text" name="lastname" required>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input class="form-control" type="email" autocomplete="off" name="email" required>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-12">
                            <div class="form-group"><label>Adresse</label><input class="form-control" type="text"
                                    autocomplete="off" name="adresse" required></div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Ville</label>
                                <input class="form-control" type="text" name="ville" autocomplete="off" required>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Code postal</label>
                                <input class="form-control" type="number" name="codePostale" autocomplete="off"
                                    pattern="([A-Z]+[A-Z]?\-)?[0-9]{1,2} ?[0-9]{3}" required>
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Complément d'adresse</label>
                                <input class="form-control" type="text" name="complement" autocomplete="off">
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Mot de passe</label>
                                <input class="form-control" type="password" name="password" autocomplete="off" required>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Confirmation du mot de passe</label>
                                <input class="form-control" type="password" name="confirmpass" autocomplete="off"
                                    required>
                            </div>
                        </div>
                    </div>
                    <hr>
                </div>
                <div class="col-md-4 relative">
                    <div class="avatar">
                        <div class="avatar-bg center" style="width: 200px;height: 200px;"></div>
                    </div>
                    <input type="text" class="form-control" name="avatar-file" onchange="changeImg(this)" placeholder="URL Image de profil">
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-12 d-flex justify-content-start content-right"
                    style="margin-top: 20px;margin-right: 0px;padding-right: 5px;padding-left: 25%;">
                    <button class="btn btn-danger form-btn" onclick="window.location.href = '/'">ANNULER</button>
                    <button class="btn btn-primary form-btn" type="submit"
                        style="background: rgb(63,123,139);">ENREGISTRER</button>
                </div>
            </div>
        </form>
    </div>
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="https://unpkg.com/@bootstrapstudio/bootstrap-better-nav/dist/bootstrap-better-nav.min.js"></script>
    <script src="{{url_for('static',filename='js/ImageDynamique.js')}}"></script>
</body>

</html>